Resource Center/Network Resource/VPC Operations
POSTVPC OperationsSince 4.5.0SynchronousAuth Required
UpdateVirtualRouterSoftwareVersion
UpdateVirtualRouterSoftwareVersion
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
paramsObjectRequiredRequest body parameter object.
softwareNameStringRequiredThe VPC software name.
targetVersionStringRequiredThe target version.
systemTagsListOptional. The system tag.
userTagsListOptional. the user tag.
Responses
Endpoint
POST/zstack/v1/vpc/virtual-routers/{uuid}/softwareversion
/zstack/v1/vpc/virtual-routers/{uuid}/softwareversion
Request Example
curl -X POST 'http://{host}/zstack/v1/vpc/virtual-routers/{uuid}/softwareversion' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"softwareName":"<softwareName>","targetVersion":"<targetVersion>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{}Change History
This API has no change history records yet.
